Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Attributes
tlp::GlSceneVisitor Class Reference

`#include <GlSceneVisitor.h>`

Inheritance diagram for tlp::GlSceneVisitor:
[legend]

List of all members.

## Public Member Functions

- GlSceneVisitor ()
- virtual ~GlSceneVisitor ()
- virtual void visit (GlSimpleEntity *)
- virtual void visit (GlNode *)
- virtual void visit (GlEdge *)
- virtual void visit (GlLayer *)
- virtual void reserveMemoryForNodes (unsigned int)
- virtual void reserveMemoryForEdges (unsigned int)
- bool isThreadSafe ()

## Protected Attributes

- bool threadSafe

## Constructor & Destructor Documentation

tlp::GlSceneVisitor::GlSceneVisitor | ( |  | ) | `[inline]`

virtual tlp::GlSceneVisitor::~GlSceneVisitor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

bool tlp::GlSceneVisitor::isThreadSafe | ( |  | ) | `[inline]`

virtual void tlp::GlSceneVisitor::reserveMemoryForEdges | ( | unsigned | int | ) | `[inline, virtual]`

virtual void tlp::GlSceneVisitor::reserveMemoryForNodes | ( | unsigned | int | ) | `[inline, virtual]`

virtual void tlp::GlSceneVisitor::visit | ( | GlNode * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlSelectSceneVisitor.

virtual void tlp::GlSceneVisitor::visit | ( | GlLayer * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlSelectSceneVisitor.

virtual void tlp::GlSceneVisitor::visit | ( | GlEdge * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlSelectSceneVisitor.

virtual void tlp::GlSceneVisitor::visit | ( | GlSimpleEntity * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlDrawSceneVisitor, and tlp::GlSelectSceneVisitor.

## Member Data Documentation

bool tlp::GlSceneVisitor::threadSafe`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012